# arm_dot_prod_q31.c File Reference

CMSIS-DSP: arm_dot_prod_q31.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_dot_prod_q31.c File Reference

## Functions

void | arm_dot_prod_q31 (const q31_t *pSrcA, const q31_t *pSrcB, uint32_t blockSize, q63_t *result)
| Dot product of Q31 vectors. More...